Bug 1272285 - [X1 Carbon] WARNING: CPU: 1 PID: 7390 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]()
[X1 Carbon] WARNING: CPU: 1 PID: 7390 at drivers/gpu/drm/i915/intel_uncore.c:...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 20:35 EDT by Qiao Zhao
Modified: 2016-07-19 15:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:20:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiao Zhao 2015-10-15 20:35:34 EDT
Description of problem:
Like summary, my laptop always occur system warning,
[log]
[   12.526531] fuse init (API version 7.23)
[   14.026449] show_signal_msg: 216 callbacks suppressed
[   14.026453] sogou-qimpanel[2041]: segfault at 0 ip           (null) sp 00007ffec0a86128 error 14 in sogou-qimpanel[400000+1a2000]
[   24.329370] usb 1-6: reset full-speed USB device number 2 using xhci_hcd
[   45.433927] tun: Universal TUN/TAP device driver, 1.6
[   45.433929] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[  416.649976] Adjusting tsc more than 11% (5419139 vs 7179150)
[ 1210.907442] CPU0: Core temperature above threshold, cpu clock throttled (total events = 1)
[ 1210.907443] CPU1: Core temperature above threshold, cpu clock throttled (total events = 1)
[ 1210.907444] CPU3: Package temperature above threshold, cpu clock throttled (total events = 1)
[ 1210.907446] CPU2: Package temperature above threshold, cpu clock throttled (total events = 1)
[ 1210.907446] CPU1: Package temperature above threshold, cpu clock throttled (total events = 1)
[ 1210.907455] CPU0: Package temperature above threshold, cpu clock throttled (total events = 1)
[ 1210.912458] CPU0: Core temperature/speed normal
[ 1210.912460] CPU2: Package temperature/speed normal
[ 1210.912461] CPU3: Package temperature/speed normal
[ 1210.912462] CPU1: Core temperature/speed normal
[ 1210.912465] CPU1: Package temperature/speed normal
[ 1210.912469] CPU0: Package temperature/speed normal
[ 1362.399393] ------------[ cut here ]------------
[ 1362.399422] WARNING: CPU: 1 PID: 7390 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]()
[ 1362.399423] Unclaimed register detected after writing to register 0x44308
[ 1362.399424] Modules linked in: tun fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl iosf_mbi x86_pkg_temp_thermal arc4 coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support uvcvideo videobuf2_vmalloc snd_hda_codec_realtek snd_hda_codec_generic iwlmvm crct10dif_pclmul videobuf2_core snd_hda_codec_hdmi crc32_pclmul mac80211 snd_hda_intel crc32c_intel videobuf2_memops snd_hda_controller snd_hda_codec ghash_clmulni_intel v4l2_common snd_hda_core snd_hwdep snd_seq videodev
[ 1362.399441]  iwlwifi snd_seq_device btusb joydev btbcm cfg80211 btintel snd_pcm media bluetooth thinkpad_acpi i2c_i801 lpc_ich mfd_core snd_timer mei_me tpm_tis shpchp wmi mei snd tpm rfkill soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper e1000e serio_raw drm ptp pps_core video
[ 1362.399455] CPU: 1 PID: 7390 Comm: chrome Not tainted 4.1.8-200.fc22.x86_64 #1
[ 1362.399456] Hardware name: LENOVO 20BTS1N70F/20BTS1N70F, BIOS N14ET28W (1.06 ) 03/12/2015
[ 1362.399457]  0000000000000000 000000007b6fd132 ffff88022dc43cd8 ffffffff81799a3d
[ 1362.399459]  0000000000000000 ffff88022dc43d30 ffff88022dc43d18 ffffffff810a165a
[ 1362.399461]  ffff88022dc43d48 ffff880221560000 0000000000044308 0000000000044308
[ 1362.399462] Call Trace:
[ 1362.399463]  <IRQ>  [<ffffffff81799a3d>] dump_stack+0x45/0x57
[ 1362.399469]  [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
[ 1362.399470]  [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
[ 1362.399483]  [<ffffffffa015c3ca>] ? gen8_write32+0x10a/0x1c0 [i915]
[ 1362.399494]  [<ffffffffa0159809>] hsw_unclaimed_reg_debug+0x79/0xa0 [i915]
[ 1362.399503]  [<ffffffffa015c3b6>] gen8_write32+0xf6/0x1c0 [i915]
[ 1362.399513]  [<ffffffffa0147e37>] gen8_gt_irq_handler.isra.15+0x1c7/0x2f0 [i915]
[ 1362.399522]  [<ffffffffa0148002>] gen8_irq_handler+0xa2/0x4a0 [i915]
[ 1362.399524]  [<ffffffff810fa4f7>] handle_irq_event_percpu+0x77/0x1a0
[ 1362.399526]  [<ffffffff810fa65b>] handle_irq_event+0x3b/0x60
[ 1362.399528]  [<ffffffff810fda2e>] handle_edge_irq+0x6e/0x120
[ 1362.399529]  [<ffffffff81017374>] handle_irq+0x74/0x140
[ 1362.399531]  [<ffffffff817a2d4f>] do_IRQ+0x4f/0xf0
[ 1362.399533]  [<ffffffff817a0b2e>] common_interrupt+0x6e/0x6e
[ 1362.399533]  <EOI> 
[ 1362.399535] ---[ end trace 85ca4951e17619b9 ]---

[\log]

Version-Release number of selected component (if applicable):
kernel-4.1.8-200.fc22.x86_64


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
$ lspci -v
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 0
	Capabilities: <access denied>

00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 0, IRQ 45
	Memory at f0000000 (64-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 3000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 0, IRQ 49
	Memory at f1130000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03) (prog-if 30 [XHCI])
	Subsystem: Lenovo Device 2227
	Flags: bus master, medium devsel, latency 0, IRQ 43
	Memory at f1120000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd

00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 0, IRQ 46
	Memory at f1139000 (64-bit, non-prefetchable) [size=32]
	Capabilities: <access denied>
	Kernel driver in use: mei_me
	Kernel modules: mei_me

00:19.0 Ethernet controller: Intel Corporation Ethernet Connection (3) I218-LM (rev 03)
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 0, IRQ 44
	Memory at f1100000 (32-bit, non-prefetchable) [size=128K]
	Memory at f113e000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at 3080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e
	Kernel modules: e1000e

00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 32, IRQ 48
	Memory at f1134000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #2 (rev e3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0100000-d02fffff
	Prefetchable memory behind bridge: 00000000d0300000-00000000d04fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.1 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 18
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Memory behind bridge: f1000000-f10fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device 2227
	Flags: bus master, medium devsel, latency 0, IRQ 23
	Memory at f113d000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci-pci

00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
	Subsystem: Lenovo Device 2227
	Flags: bus master, medium devsel, latency 0
	Capabilities: <access denied>
	Kernel driver in use: lpc_ich
	Kernel modules: lpc_ich

00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device 2227
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 42
	I/O ports at 30a8 [size=8]
	I/O ports at 30bc [size=4]
	I/O ports at 30a0 [size=8]
	I/O ports at 30b8 [size=4]
	I/O ports at 3060 [size=32]
	Memory at f113c000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
	Subsystem: Lenovo Device 2227
	Flags: medium devsel, IRQ 18
	Memory at f1138000 (64-bit, non-prefetchable) [size=256]
	I/O ports at efa0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c_i801

00:1f.6 Signal processing controller: Intel Corporation Wildcat Point-LP Thermal Management Controller (rev 03)
	Subsystem: Lenovo Device 2227
	Flags: bus master, fast devsel, latency 0, IRQ 10
	Memory at f113b000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

04:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)
	Subsystem: Intel Corporation Dual Band Wireless-AC 7265
	Flags: bus master, fast devsel, latency 0, IRQ 47
	Memory at f1000000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi
Comment 1 Qiao Zhao 2015-10-26 06:39:33 EDT
kernel-4.2.3-200.fc22.x86_64 still exist this problem.
Comment 2 Qiao Zhao 2015-10-26 22:37:01 EDT
I notice dmesg log occur some worning/error message
[log]
[  425.277072] tun: Universal TUN/TAP device driver, 1.6
[  425.277074] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[  513.501861] CPU0: Core temperature above threshold, cpu clock throttled (total events = 1)
[  513.501863] CPU2: Package temperature above threshold, cpu clock throttled (total events = 1)
[  513.501864] CPU1: Core temperature above threshold, cpu clock throttled (total events = 1)
[  513.501865] CPU3: Package temperature above threshold, cpu clock throttled (total events = 1)
[  513.501867] CPU1: Package temperature above threshold, cpu clock throttled (total events = 1)
[  513.501871] CPU0: Package temperature above threshold, cpu clock throttled (total events = 1)
[  513.502864] CPU1: Core temperature/speed normal
[  513.502865] CPU0: Core temperature/speed normal
[  513.502866] CPU2: Package temperature/speed normal
[  513.502867] CPU3: Package temperature/speed normal
[  513.502869] CPU0: Package temperature/speed normal
[  513.502873] CPU1: Package temperature/speed normal
[  540.114693] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[  559.657714] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[  602.700081] mce: [Hardware Error]: Machine check events logged
[  899.845253] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[  919.702691] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 1079.711248] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 1099.254665] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 1179.681877] CPU1: Core temperature above threshold, cpu clock throttled (total events = 6)
[ 1179.681888] CPU0: Core temperature above threshold, cpu clock throttled (total events = 6)
[ 1179.681891] CPU0: Package temperature above threshold, cpu clock throttled (total events = 6)
[ 1179.681894] CPU3: Package temperature above threshold, cpu clock throttled (total events = 6)
[ 1179.681895] CPU2: Package temperature above threshold, cpu clock throttled (total events = 6)
[ 1179.681896] CPU1: Package temperature above threshold, cpu clock throttled (total events = 6)
[ 1179.682874] CPU0: Core temperature/speed normal
[ 1179.682875] CPU2: Package temperature/speed normal
[ 1179.682876] CPU1: Core temperature/speed normal
[ 1179.682876] CPU3: Package temperature/speed normal
[ 1179.682878] CPU1: Package temperature/speed normal
[ 1179.682882] CPU0: Package temperature/speed normal
[ 1203.004208] mce: [Hardware Error]: Machine check events logged
[ 1439.441820] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 1459.403619] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 1799.172771] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 1818.403054] wlp4s0: Limiting TX power to 17 dBm as advertised by 64:e9:50:33:02:6e
[ 2086.581469] wlp4s0: Limiting TX power to 20 dBm as advertised by 64:e9:50:33:02:6e

[/log]

Maybe is useful information.
Comment 3 Fedora End Of Life 2016-07-19 15:20:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.